     module constants
      !    0. CONSTANTS
      real, parameter     :: To= 273.16
      real, parameter     :: rhoh2o= 1000. 
      real, parameter     :: Cpd= 1005.46
      real, parameter     :: Rd= 287.05
      real, parameter     :: G = 9.80665
      real, parameter     :: C2ES= 379.892958
      real, parameter     :: C3IES= 21.875
      real, parameter     :: C3LES= 17.269
      real, parameter     :: C4IES= 7.66
      real, parameter     :: C4LES= 35.86
      real, parameter     :: C5IES= 5807.8125
      real, parameter     :: C5LES= 4097.9337
      real, parameter     :: VTMPC1= .60776868
      real, parameter     :: VTMPC2= .85930818
      real, parameter     :: als= 2834500.
      real, parameter     :: alv= 2500800.
      real, parameter     :: RDC= Rd/Cpd
      real, parameter     :: p0= 1000.e+2 

     end module constants
